Package com.documentum.fc.client.search

# Class DfGenericQueryListener

java.lang.Object
com.documentum.fc.client.search.DfGenericQueryListener

All Implemented Interfaces:
  `IDfQueryListener`

public class DfGenericQueryListener extends Object implements IDfQueryListener
Empty implementation of IDfQueryListener. To support further API evolution, it is strongly advised for query listener to extend this class rather than simply implementing IDfQueryListener. If new methods are added to IDfQueryListener, they will be reflected in that class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfGenericQueryListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onQueryCompleted(IDfQueryProcessor processor)`
  This method is called when the query execution finished (whether sucessfully or with errors).
  `void`
  `onResultChange(IDfQueryProcessor processor, int from, int to)`
  This method is called when new results has been received from the sources.
  `void`
  `onStatusChange(IDfQueryProcessor processor, IDfQueryEvent event)`
  This method is called when an event occurs (error or information).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DfGenericQueryListener

    public DfGenericQueryListener()

- ## Method Details

  - ### onQueryCompleted

    public void onQueryCompleted(IDfQueryProcessor processor)
    Description copied from interface: `IDfQueryListener`
    This method is called when the query execution finished (whether sucessfully or with errors).
    Specified by:
      `onQueryCompleted` in interface `IDfQueryListener`
    Parameters:
      `processor` - The IDfQueryProcessor instance executing the query.

  - ### onStatusChange

    public void onStatusChange(IDfQueryProcessor processor, IDfQueryEvent event)
    Description copied from interface: `IDfQueryListener`
    This method is called when an event occurs (error or information).
    Specified by:
      `onStatusChange` in interface `IDfQueryListener`
    Parameters:
      `processor` - The IDfQueryProcessor instance executing the query.
      `event` - An event occurring while executing the query.

  - ### onResultChange

    public void onResultChange(IDfQueryProcessor processor, int from, int to)
    Description copied from interface: `IDfQueryListener`
    This method is called when new results has been received from the sources.
    Specified by:
      `onResultChange` in interface `IDfQueryListener`
    Parameters:
      `processor` - The IDfQueryProcessor instance executing the query.
      `from` - The start index of the new results in the list of IDfResultEntry hold by the query processor.
      `to` - The end index of the new results in the list of IDfResultEntry hold by the query processor.